module OpenExchangeRate
  class Api
    attr_accessor :app_id, :https

    def initialize(
      app_id: "insert_app_id",
      https:  false)

      @app_id = app_id
      @https  = https
    end

    def latest
      if @https
        prefix = "https"
      else
        prefix = "http"
      end

      url  = "#{prefix}://openexchangerates.org/api/latest.json?app_id=#{app_id}"
      http = Curl.get url
      Oj.load(http.body_str)
    end

    def currencies
      url = "http://openexchangerates.org/api/currencies.json" # no app_id required
      http = Curl.get url
      Oj.load(http.body_str)
    end 

  end
end

